-- +------------------------------------------------------------------------------+
-- |                                                                              |
-- |		                      WWWWWQ                                          |
-- |		                    9M..~;iTMk                                        |
-- |		                  kM~.  ..,~ioMk                                      |
-- |		                kM=.  ``,"<=vhWK                'MMMMMv               |
-- |		              vM=.  ``,,_~v7jUWK                `***aWY               |
-- |		            vMY.  ``:,__<!jy@K.`              'MMMD=SWY               |
-- |		          /MY.` ``',__<<vn@$.`               M8,<W@MP.`               |
-- |		        /Mh.`  `',__^<vvjFSEMk             MM,~<vWp.`                 |
-- |		      'Mh.`  `-,__|<lvjj@NJCSUMk   vMMMMMMM,,<vM8.`                   |
-- |		    'M#.`  `-,__|<cvxj@@sT<^:/SUMMMS~=*8W^_<<M@WQ                     |
-- |		   M#.`  `.,__;<cvzj%@ss7c'':~>oW5~/+6Ml_^<MMW&.`                     |
-- |		 MMWWMMMU,,_;<rvzj$@es77<^::'?MA~/+GMv,/<&MWW*YM9                     |
-- |		 WW8RSnioM6<rvCj$@XsJ7<<''';Mb~|+GMS,/<6MWW**=<~,                     |
-- |		 WW!!>^,,"vMMMS"?sr<,:,,-;MQ*eMK'|*KMMM!.&Wll__::'?MMMMMMM/           |
-- |		 ..Mg `'':vW5~,'|<"'::'':,~=Mb,lMMM@WWWMM~-,,:::::;*aWWWWW<           |
-- |		   WQ   `':~,''::'::''::';M8,lM4-:~~~~~~~:':::::::~=SWWWWW<           |
-- |		   .~M9   `'':''::''::'':^W%<oW@MMMh+++++,::::::::~=SWWWWW<           |
-- |		     .~Mk   `'':''::''::.~WWMP..':"SMMMMMv++++++^:~=SWWWWW<           |
-- |		       .=Mk   `'::''::..  ....`.-':|i8Wi.8MMMMMM&+>=SWWWWW<           |
-- |		         .=Mv   .'::..  ``  `.-':~^*1QW< `......~MMM@WWWWW<           |
-- |		           .YMv   `.  ``  ``-':~^*16@!.          ...iWWWWW<           |
-- |		            `.YM/   ``    -':~^i16@j.                .....            |
-- |	   	           `.hM/     `.:,^i1K@j.`                                     |
-- |		              vMGsmM' ``-:^>1K@K.`                                    |
-- |		            vMOsT7$W"`--:~1e@K.`                                      |
-- |	    	      /MOsl<~:"~8M^^zl``.`                                        |
-- |		          <WK<~'::` QW11@8                                            |
-- |		           .xM2:` -:&W@@.`                                            |
-- |	    	        `.)MMMMMWW..            	                              |
-- |                                                                              |
-- | IconCreator Droplet                                                          |
-- | Versione 0.1 (Supporta Mac OS X 10.8.x Mountain Lion e le icone @2x)         |
-- | mORA (mora@roam.it) - [http://www.roam.it] + [http://edue.wordpress.com/]    |
-- +--^---------------------------------------------------------------------------+
-- |/ ! \ Revisioni                                                               |
-- +-----+------------------------------------------------------------------------+
-- | DEV | 20130324 1134
-- +--^---------------------------------------------------------------------------+
-- |/ ! \ Documentazione                                                          |
-- +-----+------------------------------------------------------------------------+
-- | http://developer.apple.com/library/mac/#documentation/GraphicsAnimation/Conceptual/HighResolutionOSX/Optimizing/Optimizing.html


-- +-----+------------------------------------------------------------------------+
-- | BGN | Algoritmo principale                                                   |
on open aDroppedFolders
	
	repeat with i from 1 to the count of aDroppedFolders
		set vAMacFolder to item i of aDroppedFolders
		set vAPOSIXFolder to POSIX path of vAMacFolder -- ottiene il percorso POSIX alla cartella (che altrimenti sarebbe in formato Apple e non interpretabile da Terminal)
		
		do shell script "iconutil -c icns " & quoted form of vAPOSIXFolder
		
	end repeat -- with i from 1 to the count of aDroppedFolders
	
end open -- aDroppedFolders
-- | END | Algoritmo principale                                                   |
-- +-----+------------------------------------------------------------------------+
